Create an output file

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/entities/{entity_id}/output-files/new

Create an output file for an entity. An artist makes an output file from a working file. Give the output type, for example textures or caches. Give the task type to give the department of the file. If revision is 0, the route uses the next revision. An unknown working_file_id is ignored.

Path parameters

  • entity_id string(uuid) Required

    Entity unique identifier

application/json

Body Required

  • name string

    Output file name

  • mode string

    Output file mode

    Default value is output.

  • output_type_id string(uuid) Required

    Output type identifier

  • task_type_id string(uuid) Required

    Task type identifier

  • person_id string(uuid)

    Person identifier

  • working_file_id string(uuid)

    Source working file identifier

  • file_status_id string(uuid)

    File status identifier

  • comment string

    Output file comment

  • extension string

    File extension

  • representation string

    File representation

  • revision integer

    File revision number

  • nb_elements integer

    Number of elements

    Default value is 1.

  • sep string

    Path separator

    Default value is /.

Responses

  • 201 application/json

    The new output file

    Hide response attributes Show response attributes object
    • id string(uuid)

      Output file unique identifier

    • name string

      Output file name

    • path string

      Output file path

    • revision integer

      Output file revision

    • entity_id string(uuid)

      Entity identifier

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

  • 400

    The body is not valid, the output type or the person does not exist, the output file already exists, or the file tree of the project is not valid

  • 403

    You do not have access to this project

  • 404

    The entity or the task type does not exist

POST /data/entities/{entity_id}/output-files/new
curl -X POST "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/output-files/new" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "main",
  "mode": "output",
  "output_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "working_file_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "file_status_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "comment": "Final render",
  "extension": ".mp4",
  "representation": "mp4",
  "revision": 1,
  "nb_elements": 1,
  "sep": "/"
}'
import requests

url = "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/output-files/new"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "main",
    "mode": "output",
    "output_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "working_file_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "file_status_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "comment": "Final render",
    "extension": ".mp4",
    "representation": "mp4",
    "revision": 1,
    "nb_elements": 1,
    "sep": "/"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "name": "main",
  "mode": "output",
  "output_type_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "task_type_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "working_file_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "file_status_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "comment": "Final render",
  "extension": ".mp4",
  "representation": "mp4",
  "revision": 1,
  "nb_elements": 1,
  "sep": "/"
}
Response examples (201)
{
  "id": "b35b7fb5-df86-5776-b181-68564193d360",
  "name": "main",
  "path": "/project/asset/output/main_v001.mp4",
  "revision": 1,
  "entity_id": "c46c80c6-e097-6887-c292-79675204e470",
  "created_at": "2023-01-01T12:00:00Z",
  "updated_at": "2023-01-01T12:30:00Z"
}